Commit 7a3b4a38 authored by Jacek Lebioda's avatar Jacek Lebioda
Browse files

feat: update to 1.5

parent 8868ceaf
FROM ruby:2.6
MAINTAINER Jacek Lebioda "jacek.lebioda@uni.lu"
RUN gem install bundler:2.0.2 && \
RUN gem install bundler:2.1.4 && \
gem install sassc -- --disable-march-tune-native
COPY Gemfile .
COPY Gemfile.lock .
......
source "https://rubygems.org"
gem "jekyll", "~> 4.0"
gem "bundler", "> 2.0"
gem "bundler", "~> 2.1"
gem "minima", "~> 2.5"
gem 'jekyll-theme-lcsb-default', '~> 0.3.6', :git => "https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-default.git", :tag => "0.3.6"
gem 'jekyll-theme-lcsb-default', '~> 0.3.18', :git => "https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-default.git", :tag => "0.3.18"
group :jekyll_plugins do
gem "jekyll-paginate-v2", "~> 3"
gem "jekyll-feed", "~> 0.6"
gem "jekyll-feed",
"~> 0.6"
gem "jekyll-paginate-v2",
"~> 3",
:git => "https://github.com/LCSB-BioCore/jekyll-paginate-v2.git"
gem 'jekyll-theme-lcsb-frozen-components',
'~> 0.0.2',
:git => "https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-frozen-components.git",
:tag => "0.0.2"
end
gem "tzinfo-data", platforms: [:mingw, :mswin, :x64_mingw, :jruby]
......
GIT
remote: https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-default.git
revision: 9b11c6a4dbfa42ca3edb29fe3d346b0ca5850bf6
tag: 0.3.6
revision: 2b33c41bd6270f48be2530e64d0ff393e3b788e2
tag: 0.3.18
specs:
jekyll-theme-lcsb-default (0.3.6)
jekyll-theme-lcsb-default (0.3.18)
jekyll (~> 4.0)
jekyll-seo-tag (~> 2.5)
GIT
remote: https://git-r3lab.uni.lu/core-services/jekyll-theme-lcsb-frozen-components.git
revision: 068c2c0edc8ae3b462008bfd9882fa2c36909c2b
tag: 0.0.2
specs:
jekyll-theme-lcsb-frozen-components (0.0.2)
jekyll (> 3.0)
GIT
remote: https://github.com/LCSB-BioCore/jekyll-paginate-v2.git
revision: 0e149fddb9a93161e8e9e9cf42d34aee493d768c
specs:
jekyll-paginate-v2 (3.0.0)
jekyll (>= 3.0, < 5.0)
GEM
remote: https://rubygems.org/
specs:
......@@ -42,8 +57,6 @@ GEM
terminal-table (~> 1.8)
jekyll-feed (0.13.0)
jekyll (>= 3.7, < 5.0)
jekyll-paginate-v2 (3.0.0)
jekyll (>= 3.0, < 5.0)
jekyll-sass-converter (2.1.0)
sassc (> 2.0.1, < 3.0)
jekyll-seo-tag (2.6.1)
......@@ -64,19 +77,19 @@ GEM
jekyll-seo-tag (~> 2.1)
pathutil (0.16.2)
forwardable-extended (~> 2.6)
public_suffix (4.0.3)
public_suffix (4.0.4)
rb-fsevent (0.10.3)
rb-inotify (0.10.1)
ffi (~> 1.0)
rouge (3.17.0)
rouge (3.18.0)
safe_yaml (1.0.5)
sassc (2.2.1)
sassc (2.3.0)
ffi (~> 1.9)
sassc (2.2.1-x64-mingw32)
sassc (2.3.0-x64-mingw32)
ffi (~> 1.9)
terminal-table (1.8.0)
unicode-display_width (~> 1.1, >= 1.1.1)
tzinfo (2.0.1)
tzinfo (2.0.2)
concurrent-ruby (~> 1.0)
tzinfo-data (1.2019.3)
tzinfo (>= 1.0.0)
......@@ -87,11 +100,12 @@ PLATFORMS
x64-mingw32
DEPENDENCIES
bundler (> 2.0)
bundler (~> 2.1)
jekyll (~> 4.0)
jekyll-feed (~> 0.6)
jekyll-paginate-v2 (~> 3)
jekyll-theme-lcsb-default (~> 0.3.6)!
jekyll-paginate-v2 (~> 3)!
jekyll-theme-lcsb-default (~> 0.3.18)!
jekyll-theme-lcsb-frozen-components (~> 0.0.2)!
minima (~> 2.5)
tzinfo-data
......
......@@ -4,7 +4,8 @@ A Docker base-image containing Ruby dependencies for Jekyll instances using Jeky
# Versions
| Tag | Jekyll version | Bundler version | Theme version |
|:-----------------:|:--------------:|-----------------|---------------|
| 1.4 (or latest) | Jekyll 4.0.0 | 2.0.2 | 0.3.6 |
| 1.5 (or latest) | Jekyll 4.0.0 | 2.1.4 | 0.3.18 |
| 1.4 | Jekyll 4.0.0 | 2.0.2 | 0.3.6 |
| 1.3 | Jekyll 4.0.0 | 2.0.2 | 0.3.3 |
| 1.2 | Jekyll 4.0.0 | 2.0.2 | 0.3.3 |
| 1.1 | Jekyll 4.0.0 | 2.0.2 | 0.3.3 |
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment